Subject: teach git diff -v/--invert-match?

From: Brian Ericson <[email-masked]>
Date: Fri, 22 Aug 2008 09:51:16 -0500

I'm wondering what it would take to teach git diff to invert the -S 
string (like git grep).

I'm finding git diff -S<string> [--pickaxe-regex] to be really useful, 
but find I have cases where I want to ignore differences.  For example, 
I might not care if the only changes to a Java file, for example, are 
related to import statements.  I'd like to be able to do something like 
"git diff -S'^import' --pickaxe-regex -v".  I'll admit I can get by with 
something like "git diff -S'^[^i]' --pickaxe-regex", but am pining for 
-v/--invert-match.